﻿* Encoding: UTF-8.
*Additivity Dominance: Study 2
*Created by S.S.

*Excluding participants who didn't finish

USE ALL.
COMPUTE filter_$=(excl.finish = 0).
VARIABLE LABELS filter_$ 'excl.finish = 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=excl.scale
  /ORDER=ANALYSIS.

*Excluding participants who didn't finish or didn't fill out scale intro correctly*

USE ALL.
COMPUTE filter_$=(excl.finish = 0 & excl.scale=0).
VARIABLE LABELS filter_$ 'excl.finish = 0 & excl.scale=0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Age and Gender Descriptives*

FREQUENCIES VARIABLES=gender
  /ORDER=ANALYSIS.

DESCRIPTIVES VARIABLES=age
  /STATISTICS=MEAN STDDEV MIN MAX.


*Are organisms with genes added less natural than those with genes removed?*

GLM gene.dog.add gene.dog.rem gene.corn.add gene.corn.rem
  /WSFACTOR=Organism 2 Polynomial Modification 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Organism Modification Organism*Modification.

T-TEST PAIRS=gene.dog.add gene.corn.add WITH gene.dog.rem gene.corn.rem (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

COMPUTE gene.dog.diff = gene.dog.rem - gene.dog.add.
COMPUTE gene.corn.diff = gene.corn.rem - gene.corn.add.
EXCECUTE.
DESCRIPTIVES VARIABLES=gene.dog.diff gene.corn.diff
  /STATISTICS=MEAN STDDEV. /* divide mean by SD for repeated measures cohen's d.

*How much does any genetic modification (adding or removing) affect naturalness compared to no genetic modification?*

*average difference between no alteration and removal*

COMPUTE ave.rem=((gene.dog-gene.dog.rem)+(gene.corn-gene.corn.rem))/2.
EXECUTE.   

*average difference between removal and adding*

COMPUTE ave.add=((gene.dog.rem-gene.dog.add)+(gene.corn.rem-gene.corn.add))/2.
EXECUTE.   

DESCRIPTIVES VARIABLES=gene.dog gene.corn gene.dog.addrem gene.corn.addrem ave.rem ave.add
  /STATISTICS=MEAN STDDEV MIN MAX.


