﻿* Encoding: UTF-8.
*Additivity Dominance: Study 3
*Created by S.S.

*Excluding participants who didn't finish 

USE ALL.
COMPUTE filter_$=(excl.finish = 0).
VARIABLE LABELS filter_$ 'excl.finish = 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=excl.scale
  /ORDER=ANALYSIS.

*Excluding participants who didn't finish or didn't fill out scale intro correctly

USE ALL.
COMPUTE filter_$=(excl.finish = 0 & excl.scale=0).
VARIABLE LABELS filter_$ 'excl.finish = 0 & excl.scale=0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Age and Gender Descriptives

FREQUENCIES VARIABLES=gender
  /ORDER=ANALYSIS.

COMPUTE age=2013-birthyear.
EXECUTE.

DESCRIPTIVES VARIABLES=age
  /STATISTICS=MEAN STDDEV MIN MAX.


*Does framing something as an additive reduce naturalness?


GLM poil.remframe yfat.remframe pulp.remframe calc.remframe poil.addframe yfat.addframe 
    pulp.addframe calc.addframe
  /WSFACTOR=Framing 2 Polynomial Item 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Framing Item Framing*Item.

T-TEST PAIRS=poil.remframe yfat.remframe pulp.remframe calc.remframe WITH poil.addframe 
    yfat.addframe pulp.addframe calc.addframe (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

COMPUTE poil.diff = poil.remframe - poil.addframe.
COMPUTE yfat.diff = yfat.remframe - yfat.addframe.
COMPUTE pulp.diff = pulp.remframe - pulp.addframe.
COMPUTE calc.diff = calc.remframe - calc.addframe.
EXECUTE.
DESCRIPTIVES VARIABLES=poil.diff yfat.diff pulp.diff calc.diff 
  /STATISTICS=MEAN STDDEV. /*Mean divided by SD is cohen's d for repeated measures.

*Order effects (footnote six in main text)

GLM poil.remframe yfat.remframe pulp.remframe calc.remframe poil.addframe yfat.addframe 
    pulp.addframe calc.addframe BY order.subfirst
  /WSFACTOR=Framing 2 Polynomial Item 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Framing Item Framing*Item
  /DESIGN=order.subfirst.

T-TEST GROUPS=order.subfirst(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=poil.remframe yfat.remframe pulp.remframe calc.remframe poil.addframe yfat.addframe 
    pulp.addframe calc.addframe poil.diff yfat.diff pulp.diff calc.diff
  /CRITERIA=CI(.95).


