﻿* Encoding: UTF-8.
*Additivity Dominance: Study 4A
*Created by S.S.

USE ALL.
COMPUTE filter_$=(excl.finish = 0).
VARIABLE LABELS filter_$ 'excl.finish = 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=excl.scale
  /ORDER=ANALYSIS.

*Excluding participants who didn't finish or didn't fill out scale intro correctly*

USE ALL.
COMPUTE filter_$=(excl.finish = 0 & excl.scale=0).
VARIABLE LABELS filter_$ 'excl.finish = 0 & excl.scale=0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Age and Gender Descriptives*

FREQUENCIES VARIABLES=gender
  /ORDER=ANALYSIS.

COMPUTE age=2013-birthyear.
EXECUTE.

DESCRIPTIVES VARIABLES=age
  /STATISTICS=MEAN STDDEV MIN MAX.


*Valence score from +3 (all positive associations) to -3 (all negative associations)*

COMPUTE add.valence=(add.1.val+add.2.val+add.3.val - 6)*-1.
EXECUTE.

COMPUTE for.valence=(for.1.val+for.2.val+for.3.val - 6)*-1.
EXECUTE.

COMPUTE sup.valence=(sup.1.val+sup.2.val+sup.3.val - 6)*-1.
EXECUTE.

*Do synonyms vary in valence?*

GLM add.valence for.valence sup.valence
  /WSFACTOR=Synonym 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Synonym.

T-TEST PAIRS=add.valence add.valence for.valence WITH for.valence sup.valence sup.valence (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

COMPUTE foradd.val.diff = for.valence-add.valence.
COMPUTE supadd.val.diff = sup.valence-add.valence.
COMPUTE forsup.val.diff = for.valence-sup.valence.
DESCRIPTIVES VARIABLES=foradd.val.diff supadd.val.diff forsup.val.diff
  /STATISTICS=MEAN STDDEV. /* divide mean by SD for repeated measures cohen's d.


*Do negatively valenced synonyms reduce naturalness?*

GLM oj.pul pb.fat mi.cal BY add.for.supp
  /WSFACTOR=Item 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Item 
  /DESIGN=add.for.supp.

T-TEST GROUPS=add.for.supp("add" "for")
  /MISSING=ANALYSIS
  /VARIABLES=oj.pul pb.fat mi.cal
  /CRITERIA=CI(.95).

T-TEST GROUPS=add.for.supp("add" "sup")
  /MISSING=ANALYSIS
  /VARIABLES=oj.pul pb.fat mi.cal
  /CRITERIA=CI(.95).

T-TEST GROUPS=add.for.supp("for" "sup")
  /MISSING=ANALYSIS
  /VARIABLES=oj.pul pb.fat mi.cal
  /CRITERIA=CI(.95).



